std::basic_osyncstream::operator=(3)

NAME
std::basic_osyncstream::operator= - std::basic_osyncstream::operator=

Synopsis
   basic_osyncstream& operator=( std::basic_osyncstream&& other) noexcept;
   Move-assigns a synchronized output stream:
   Move-assigns the wrapped std::basic_syncbuf from the corresponding member of other
   (after this move-assignment, other.get_wrapped() returns a null pointer and
   destruction of other produces no output; any pending buffered output will be
   emitted) and move-assigns the base std::basic_ostream (this swaps all stream state
   variables except for rdbuf between *this and other)

Parameters
   other - another osyncstream to move from

Example
    This section is incomplete
    Reason: no example

See also
   constructor constructs a basic_osyncstream
                 (public member function)
   destructor destroys the basic_osyncstream and emits its internal buffer
                 (public member function)
                 calls emit on the underlying basic_syncbuf to transmit its internal
   emit data to the final destination
                 (public member function)